# Filename: tri_face_neighborhood.py
# Purpose: Get indices of neighbouring facets.
# Returns: List of integers.

from maptek import vulcan

input_tri = 'topo.00t' # input triangulation

with vulcan.triangulation(input_tri) as tri: # Open triangulation in read mode
    neighbour_facets = tri.face_neighborhood(10) # pass facet index

    # do something with list...
    print(neighbour_facets)